Wt: Wt::Payment::Address Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::Payment::Address Class Reference
Payment module (Wt::Payment)

Contains address information. More...

`#include <Wt/Payment/Address>`

List of all members.

## Public Member Functions
void | setName (const WString &name)
| Sets an address name.
const WString & | name () const
| Returns the address name.
void | setStreet1 (const WString &street1)
| Sets first street line.
const WString & | street1 () const
| Returns the first street line.
void | setStreet2 (const WString &street2)
| Sets the second street line.
const WString & | street2 () const
| Returns the second street line.
void | setCity (const WString &city)
| Sets the city.
const WString & | city () const
| Returns the city.
void | setState (const WString &state)
| Sets the state.
const WString & | state () const
| Returns the state.
void | setCountryCode (const std::string &country)
| Sets the country code.
const std::string & | countryCode () const
| Returns the country code.
void | setZip (const WString &zip)
| Sets the zip code.
const WString & | zip () const
| Returns the zip code.
void | setPhoneNumber (const std::string &number)
| Sets the phone number.
const std::string & | phoneNumber () const
| Returns the phone number.

## Detailed Description

Contains address information.

       Wt::Payment::Customer customer;

       customer.setEmail("joe.birkenberg@emweb.be");
       customer.setFirstName("Joe");
       customer.setLastName("Birkenberg");

       Wt::Payment::Address address;
       address.setCity("Leuven");
       address.setCountryCode("BE");
       address.setPhoneNumber("123456789");
       address.setStreet1("Brusselsestraat 14");

       customer.setShippingAddress(address);

See also:
  Customer::setShippingAddress()

## Member Function Documentation

const WString& Wt::Payment::Address::city | ( |  | ) | const

Returns the city.

See also:
  setCity()

const std::string& Wt::Payment::Address::countryCode | ( |  | ) | const

Returns the country code.

See also:
  setCountryCode()

const WString& Wt::Payment::Address::name | ( |  | ) | const

Returns the address name.

See also:
  setName()

const std::string& Wt::Payment::Address::phoneNumber | ( |  | ) | const

Returns the phone number.

See also:
  setPhoneNumber()

void Wt::Payment::Address::setName | ( | const WString & | name | ) |

Sets an address name.

Sets a name for this address like "home" or "work". This can allow a user to maintain several addresses.

void Wt::Payment::Address::setStreet1 | ( | const WString & | street1 | ) |

Sets first street line.

See also:
  setStreet2()

void Wt::Payment::Address::setStreet2 | ( | const WString & | street2 | ) |

Sets the second street line.

See also:
  setStreet1()

const WString& Wt::Payment::Address::state | ( |  | ) | const

Returns the state.

See also:
  setState()

const WString& Wt::Payment::Address::street1 | ( |  | ) | const

Returns the first street line.

See also:
  setStreet1()

const WString& Wt::Payment::Address::street2 | ( |  | ) | const

Returns the second street line.

See also:
  setStreet2()

const WString& Wt::Payment::Address::zip | ( |  | ) | const

Returns the zip code.

See also:
  setZip()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator